### Method

# FwupdPlugin Device set_internal_flags

since: 1.7.1

#### Declaration [src]

    void
    fu_device_set_internal_flags (
      FuDevice* self,
      FuDeviceInternalFlags flags
    )

#### Description [src]

Sets the internal flags.

Available since: 1.7.1

Sets property | `FwupdPlugin.Device:internal-flags`

#### Parameters

`flags`

  Type: `FuDeviceInternalFlags`

  Internal device flags, e.g. `FU_DEVICE_INTERNAL_FLAG_MD_SET_ICON`.